Subject: Questions related to Signaling using AToM-MIB/AToM2-MIB: 2nd try

From: Sanjaya Choudhury <[email-masked]>
Date: Wed, 07 Oct 1998 18:11:26 -0400

Hi! I have few basic questions related to the ATM cell layer
interface (as defined in the AToM-MIB[1] and AToM2-MIB[2]).
Where [1] Definitions Of Managed Objects for ATM Management,
	  Aug 15th 1998
      [2] draft-ietf-atommib-atm2-12.txt (March 13th 1998)

Q1. Document[2] section 6.3.3 specifies that "....A
    signaling entity can be deployed over ATM interface
    as defined in the atmInterfaceTable[], a logical ATM
    interface defined in section 6.3.10.1 in this
    document or a proprietary virtual interface as described
    atmInterfaceExtTable."

    I am interpreting the above as follows:

    Signaling entity can be deployed over
       (i)   ATM cell layer interface (ifType 37)
       (ii)  ATM logical interface (ifType 80)
       (iii) proprietary virtual interface (referring to
             ifType 53 ??? )
    by specifying the proper connection setup procedure
    in the atmInConfigType [Document 2 section 6.3.13].

    Assuming my interpretation is correct,
      (i)  How do I turn on and off the signaling on a
           particular interface ?

      (ii) How do I set VP-associated/non-associated
	   signaling ?

      (iii) As I understand, signaling entity resides
	   above the ALL5(+SSCOP) layer. Then why it
	   is defined as a property of the ATM Cell
	   Layer Interface ?

	   atmSigStatTable [Document 2, page 35] has
	   entries like atmSigSSCOPConEvents,
	   atmSigSSCOPErrdPdus. This indicates that
	   a ifTable entry modeling a "ATM Cell Layer
	   interface" has to keep stats for a layer
	   above it !

      (iv) Document 1 section 9.3 specifies the
	    ifInOctets for "AAL5 CPCS layer entity"
	    as "The number of received AAL5 CPCS PDU
	    octets."

	    Does the above mentioned count includes
	    the data send in the signaling channels ?

Q2. Document 1 page 74 specifies that the aal5VccEntry
    is indexed by the "..ifIndex value of the AAL5
    interface".

    From the above description and description in
    Document 1 section 9.1,  can I assume that the
    ifIndex value referred above, corresponds to
    "Proprietary Virtual Interface" with ifType = 53
    (and NOT the AAL5 CPCS layer entity ifType = 49) ?

Q3. Are the following assumptions correct ?

    From the above documents, I understand there
    are 3 "types" of ATM interfaces:
	(i)  ATM Cell Layer Interface
		- Many in a switch
	(ii) ATM Logical Interface  [Document 2 section 6.3.10.1]
		- Many in a "ATM Cell Layer Interface"
  	(iii) Pseudo-ATM Interface  [Document 1 section 9.1]
		-Also known as "Proprietary virtual interface"
		- One for every "AAL5 CPCS Layer entry in ifTable" ??
    	        (And there is one AAL5 CPCS Layer interface in a
		 switch ?)

Your response will be appreciated.

Thanks,
sanjay

------- End of Forwarded Message